AM263Px MCU+ SDK: APIs for Event

| AM263Px MCU+ SDK 26.00.00 |

Functions
APIs for Event
APIs for Driver Porting Layer

## Introduction

For more details and example usage, see Event

## Functions
int32_t | EventP_construct (EventP_Object *obj)
| Opaque Event object used with the Event APIs. More...
void | EventP_destruct (EventP_Object *obj)
| Cleanup, delete, destruct an Event object. More...
int32_t | EventP_waitBits (EventP_Object *obj, uint32_t bitsToWaitFor, uint8_t clearOnExit, uint8_t waitForAll, uint32_t timeToWaitInTicks, uint32_t *eventBits)
| Read the Event bits, after optionally waiting for a bit or multiple bits to be set. More...
int32_t | EventP_setBits (EventP_Object *obj, uint32_t bitsToSet)
| Setting a bit or multiple bits in the Event bits. More...
int32_t | EventP_clearBits (EventP_Object *obj, uint32_t bitsToClear)
| Clear a bit or multiple bits in the Event bits. More...
int32_t | EventP_getBits (EventP_Object *obj, uint32_t *eventBits)
| Getting the current value of Event bits. More...

## Function Documentation

## ◆ EventP_construct()

int32_t EventP_construct | ( | EventP_Object * | obj | ) |

Opaque Event object used with the Event APIs.

Create an Event object

Parameters

  obj | [out] Created Event object

Returns
  SystemP_SUCCESS on success, SystemP_FAILURE on error

## ◆ EventP_destruct()

void EventP_destruct | ( | EventP_Object * | obj | ) |

Cleanup, delete, destruct an Event object.

Parameters

  obj | [in] Event object

## ◆ EventP_waitBits()

int32_t EventP_waitBits | ( | EventP_Object * | obj,
|  | uint32_t | bitsToWaitFor,
|  | uint8_t | clearOnExit,
|  | uint8_t | waitForAll,
|  | uint32_t | timeToWaitInTicks,
|  | uint32_t * | eventBits
| ) |  |

Read the Event bits, after optionally waiting for a bit or multiple bits to be set.

Parameters

  obj | [in] Event object
  bitsToWaitFor | [in] Bitwise value indicating the bits to be tested
  clearOnExit | [in] If this parameter is 1, then any bits set in the value passed in bitsToWaitFor will be cleared before this API returns. If there is a time-out based on timeToWaitInTicks parameter, it will not be cleared. If this parameter is 0, then none of the bits are altered.
  waitForAll | [in] This parameter is used to specify if the test of bits should be logical AND or logical OR. If this parameter is 1, then this API will return when ALL the bits set in bitsToWaitFor are set in the Event bits, or if there is a time-out. If this parameter is 0, then this API will return when ANY of the bits set in bitsToWaitFor is set in the Event bits, or if there is a time-out.
  timeToWaitInTicks | [in] Amount of time to wait for one or all bits from bitsToWaitFor to be set, in units of system ticks (see Clock)
  eventBits | [out]Value of the Event bits when the bits being waited for were set, or the time-out occured.

Returns
  SystemP_SUCCESS on success or time-out
  SystemP_FAILURE on failure.

Note
  This function should not be called from an interrupt.
  The actual current value of Event bits can be different from returned value if an interrupt or a higher priority task modifies the value between the calling task leaving blocked state and exiting this API.

## ◆ EventP_setBits()

int32_t EventP_setBits | ( | EventP_Object * | obj,
|  | uint32_t | bitsToSet
| ) |  |

Setting a bit or multiple bits in the Event bits.

Parameters

  obj | [in] Event object
  bitsToSet | [in] Bitwise value indicating the bits to be set

Returns
  SystemP_SUCCESS on success
  SystemP_FAILURE on failure

## ◆ EventP_clearBits()

int32_t EventP_clearBits | ( | EventP_Object * | obj,
|  | uint32_t | bitsToClear
| ) |  |

Clear a bit or multiple bits in the Event bits.

Parameters

  obj | [in] Event object
  bitsToClear | [in] Bitwise value indicating the bits to be cleared

Returns
  SystemP_SUCCESS on success
  SystemP_FAILURE on failure

## ◆ EventP_getBits()

int32_t EventP_getBits | ( | EventP_Object * | obj,
|  | uint32_t * | eventBits
| ) |  |

Getting the current value of Event bits.

Parameters

  obj | [in] Event object
  eventBits | [out]Value of the Event bits when the bits being waited for were set, or the time-out occured.

Returns
  SystemP_SUCCESS on success.
  SystemP_FAILURE on failure.

Note
  The actual current value of Event bits can be different from returned value if an interrupt or a higher priority task modifies the value between the calling task leaving blocked state and exiting this API.